Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Interface BuildListener

All Known Implementing Classes:
  BuildAdapter, BuildExceptionReporter, BuildResultLogger

    public interface BuildListener

A `BuildListener` is notified of the major lifecycle events as a `GradleLauncher` instance executes a build.

See Also:
  `Gradle.addListener(Object)`

Method Summary
`void` | `buildFinished(BuildResult result)` Called when the build is completed.
`void` | `buildStarted(Gradle gradle)` Called when the build is started.
`void` | `projectsEvaluated(Gradle gradle)` Called when all projects for the build have been evaluated.
`void` | `projectsLoaded(Gradle gradle)` Called when the projects for the build have been created from the settings.
`void` | `settingsEvaluated(Settings settings)` Called when the build settings have been loaded and evaluated.
`void` | `taskGraphPopulated(TaskExecutionGraph graph)` Called when the task graph for the build has been populated.

Method Detail

### buildStarted

    void buildStarted(Gradle gradle)

  Called when the build is started.

  Parameters:
    `gradle` - The build which is being started. Never null.

### settingsEvaluated

    void settingsEvaluated(Settings settings)

  Called when the build settings have been loaded and evaluated. The settings object is fully configured and is ready to use to load the build projects.

  Parameters:
    `settings` - The settings. Never null.

### projectsLoaded

    void projectsLoaded(Gradle gradle)

  Called when the projects for the build have been created from the settings. None of the projects have been evaluated.

  Parameters:
    `gradle` - The build which has been loaded. Never null.

### projectsEvaluated

    void projectsEvaluated(Gradle gradle)

  Called when all projects for the build have been evaluated. The project objects are fully configured and are ready to use to populate the task graph.

  Parameters:
    `gradle` - The build which has been evaluated. Never null.

### taskGraphPopulated

    void taskGraphPopulated(TaskExecutionGraph graph)

  Called when the task graph for the build has been populated. The task graph is fully configured and is ready to use to execute the tasks which make up the build.

  Parameters:
    `graph` - The task graph. Never null.

### buildFinished

    void buildFinished(BuildResult result)

  Called when the build is completed. All selected tasks have been executed.

  Parameters:
    `result` - The result of the build. Never null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD